del /q k7ldr.bin
del /q k7ldr.h
del /q ppibm.h
del /q unpack.h
del /q unpack.bin
del /q unpk_com.h
del /q unpk_com.bin
del /q ram-dos.*

del /q ..\MicroWAVeRunner.exe
del /q ..\mwaver.exe
del /q ..\mwaver.txt
del /q ..\mwaver.ptc
del /q ..\mwaver.zip

pause

rem -----------------------------------------------------------
rem Finding Visual C installation folder and compiling VB
rem -----------------------------------------------------------

set VB_PATH=\Program Files\Microsoft Visual Studio\VB98\VB6.EXE
if "%DISKS%" == "" set DISKS=C: D: E: F: G: H:
for %%i in (%DISKS%) do if exist "%%i%VB_PATH%"  set DISK=%%i&goto vb_ok
echo Can't find %VB_PATH% on your harddisks
pause
goto end

:vb_ok
"%DISK%%VB_PATH%" mwrunner\MicroWAVer.vbp /make
tools\upx --best ..\MicroWAVeRunner.exe

rem -----------------------------------------------------------
rem Compile ASM and C
rem -----------------------------------------------------------
cd ram-dos
call ramdisk.bat
cd ..
tools\bin2h ram-dos.bin ram_dos

tools\sbasm unpack.asm
tools\bin2h unpack.bin UNPACK_CODE

tools\sbasm unpk_com.asm
tools\bin2h unpk_com.bin UNPACK_COM_CODE

tools\bin2h tools\ppibm.exe PROPACK_EXE
tools\sbasm k7ldr.asm
tools\bin2h k7ldr.bin internalLoader
gcc -o ..\mwaver.exe -O3 microwaver.c
strip ..\mwaver.exe
tools\upx --best ..\mwaver.exe

tools\zip -9 -j ..\mwaver.zip ..\mwaver.exe mwaver.txt mwaver.ptc ..\MicroWAVeRunner.exe
copy mwaver.txt ..\
copy mwaver.ptc ..\

pause

del /q k7ldr.bin
del /q k7ldr.h
del /q ppibm.h
del /q unpack.h
del /q unpack.bin
del /q unpk_com.h
del /q unpk_com.bin
del /q ram-dos.*

:end